import { BlockPermutation, EntityEquippableComponent, EquipmentSlot } from "@minecraft/server";
export class GrassBlockComponent {
    constructor() {
        this.onPlayerInteract = this.onPlayerInteract.bind(this);
    }
    onPlayerInteract(event) {
        const equipment = event.player?.getComponent(EntityEquippableComponent.componentId);
        const itemStack = equipment.getEquipment(EquipmentSlot.Mainhand);
        if (!itemStack)
            return;
        if (!itemStack.typeId.includes('_hoe'))
            return;
        event.block.setPermutation(BlockPermutation.resolve('minecraft:farmland'));
    }
}
GrassBlockComponent.id = 'bf_rb:grass_block';
