export class LargeMushroomComponent {
    constructor() {
        this.onPlace = this.onPlace.bind(this);
    }
    onPlace(event) {
        const block = event.block;
        const aboveBlock = block.above();
        const topBlock = block.above(1);
        const westBlock = aboveBlock?.west();
        const eastBlock = aboveBlock?.east();
        const northBlock = aboveBlock?.north();
        const southBlock = aboveBlock?.south();
        const southWestBlock = westBlock?.south();
        const southEastBlock = eastBlock?.south();
        const northWestBlock = westBlock?.north();
        const northEastBlock = eastBlock?.north();
        if (aboveBlock?.isAir)
            aboveBlock.setType('bf_rb:large_mushroom_utility1');
        if (topBlock?.isAir)
            topBlock.setType('bf_rb:large_mushroom_utility2');
        if (westBlock?.isAir)
            westBlock.setType('bf_rb:large_mushroom_utility3');
        if (eastBlock?.isAir)
            eastBlock.setType('bf_rb:large_mushroom_utility4');
        if (northBlock?.isAir)
            northBlock.setType('bf_rb:large_mushroom_utility5');
        if (southBlock?.isAir)
            southBlock.setType('bf_rb:large_mushroom_utility6');
        if (southWestBlock?.isAir)
            southWestBlock.setType('bf_rb:large_mushroom_utility7');
        if (southEastBlock?.isAir)
            southEastBlock.setType('bf_rb:large_mushroom_utility8');
        if (northWestBlock?.isAir)
            northWestBlock.setType('bf_rb:large_mushroom_utility9');
        if (northEastBlock?.isAir)
            northEastBlock.setType('bf_rb:large_mushroom_utility10');
        block.setPermutation(block.permutation.withState('bf_rb:placed', true));
    }
}
LargeMushroomComponent.id = 'bf_rb:on_player_placed_large_mushroom';
export class MushroomComponent {
    constructor() {
        this.onPlace = this.onPlace.bind(this);
    }
    onPlace(event) {
        const block = event.block;
        const util4 = block.above();
        const util3 = util4?.west();
        const util2 = util4?.south();
        const util1 = util2?.west();
        if (util1?.isAir)
            util1.setType('bf_rb:mushroom_utility1');
        if (util2?.isAir)
            util2.setType('bf_rb:mushroom_utility2');
        if (util3?.isAir)
            util3.setType('bf_rb:mushroom_utility3');
        if (util4?.isAir)
            util4.setType('bf_rb:mushroom_utility4');
        block.setPermutation(block.permutation.withState('bf_rb:placed', true));
    }
}
MushroomComponent.id = 'bf_rb:on_player_placed_mushroom';
