export var SoundDefinition;
(function (SoundDefinition) {
    SoundDefinition["DoorClose"] = "close.wooden_door";
    SoundDefinition["DoorOpen"] = "open.wooden_door";
    SoundDefinition["TrapdoorClose"] = "close.wooden_trapdoor";
    SoundDefinition["TrapdoorOpen"] = "open.wooden_trapdoor";
    SoundDefinition["PlaceWood"] = "use.wood";
})(SoundDefinition || (SoundDefinition = {}));
export const strippableBlockTypeIds = [
    'bf_rb:baobab_wood',
    'bf_rb:coconut_wood',
    'bf_rb:dead_wood',
    'bf_rb:ginkgo_wood',
    'bf_rb:ice_wood',
    'bf_rb:magnolia_wood',
    'bf_rb:maple_wood',
    'bf_rb:orange_wood',
    'bf_rb:pine_wood',
    'bf_rb:redwood_wood',
    'bf_rb:willow_wood',
    'bf_rb:wisteria_wood',
    'bf_rb:purple_end_wood',
    'bf_rb:yellow_end_wood',
    'bf_rb:baobab_log',
    'bf_rb:coconut_log',
    'bf_rb:dead_log',
    'bf_rb:ginkgo_log',
    'bf_rb:ice_log',
    'bf_rb:magnolia_log',
    'bf_rb:maple_log',
    'bf_rb:orange_log',
    'bf_rb:pine_log',
    'bf_rb:redwood_log',
    'bf_rb:willow_log',
    'bf_rb:wisteria_log',
    'bf_rb:purple_end_log',
    'bf_rb:yellow_end_log'
];
export const slabTypeIds = [
    'bf_rb:baobab_slab',
    'bf_rb:black_bamboo_slab',
    'bf_rb:coconut_slab',
    'bf_rb:dead_slab',
    'bf_rb:end_slab',
    'bf_rb:ginkgo_slab',
    'bf_rb:ice_slab',
    'bf_rb:magnolia_slab',
    'bf_rb:maple_slab',
    'bf_rb:orange_slab',
    'bf_rb:pine_slab',
    'bf_rb:redwood_slab',
    'bf_rb:willow_slab',
    'bf_rb:wisteria_slab'
];
export const PACK_ID = 'bf_rb';
export var TypeIds;
(function (TypeIds) {
    TypeIds["Utility"] = "bf_rb:util";
})(TypeIds || (TypeIds = {}));
export var PropertyIds;
(function (PropertyIds) {
    PropertyIds["Biome"] = "bf_rb:biome";
    PropertyIds["CurrentBiome"] = "bf_rb:current_biome";
    PropertyIds["TimeOfDay"] = "bf_rb:time_of_day";
    PropertyIds["FogType"] = "bf_rb:fog_type";
    PropertyIds["Settings"] = "bf_rb:settings";
    PropertyIds["SoundKey"] = "bf_rb:sound_key";
    PropertyIds["Language"] = "bf_rb:language";
    PropertyIds["Version"] = "bf_rb:version";
})(PropertyIds || (PropertyIds = {}));
export const validLeaves = [
    "minecraft:dark_oak_leaves",
    "minecraft:oak_leaves",
    "minecraft:jungle_leaves",
    "minecraft:birch_leaves",
    "minecraft:cherry_leaves",
    "minecraft:acacia_leaves",
    "bf_rb:ginkgo_leaves",
    "bf_rb:magnolia_leaves",
    "bf_rb:maple_leaves",
    "bf_rb:purple_end_leaves",
    "bf_rb:yellow_end_leaves",
    "bf_rb:wisteria_leaves"
];
export const bushyLeaves = [
    "bf_rb:ginkgo_leaves",
    "bf_rb:magnolia_leaves",
    "bf_rb:maple_leaves",
    "bf_rb:purple_end_leaves",
    "bf_rb:yellow_end_leaves",
    "bf_rb:wisteria_leaves"
];
