import { EntityEquippableComponent, EntityInventoryComponent } from "@minecraft/server";
export class Inventory {
    constructor(source) {
        this.source = source;
        let inventory = source.getComponent(EntityInventoryComponent.componentId);
        if (inventory.container)
            this.container = inventory.container;
        else
            throw Error('container is undefined');
    }
    getEquippableComponent() {
        const equippable = this.source.getComponent(EntityEquippableComponent.componentId);
        if (equippable)
            return equippable;
        else
            throw Error('reading equippable component');
    }
}
