import { world } from "@minecraft/server";
const strctureIds = [
    "bf_rb/d/s_baobab_bush_4",
    "bf_rb/d/s_baobab_foliage_1",
    "bf_rb/d/s_baobab_foliage_2",
    "bf_rb/d/s_baobab_foliage_3",
    "bf_rb/d/s_baobab_foliage_4",
    "bf_rb/d/s_baobab_leaves_1",
    "bf_rb/d/s_baobab_leaves_2",
    "bf_rb/d/s_baobab_log_1",
    "bf_rb/d/s_baobab_log_2",
    "bf_rb/d/s_baobab_trunk_0",
    "bf_rb/d/s_baobab_trunk_1",
    "bf_rb/d/s_baobab_trunk_2",
    "bf_rb/d/s_birch_branch",
    "bf_rb/d/s_birch_log_1",
    "bf_rb/d/s_birch_log_2",
    "bf_rb/d/s_birch_trunk",
    "bf_rb/d/s_black_berry_bush_1",
    "bf_rb/d/s_black_berry_bush_2",
    "bf_rb/d/s_black_berry_bush_3",
    "bf_rb/d/s_blue_berry_bush_1",
    "bf_rb/d/s_blue_berry_bush_2",
    "bf_rb/d/s_blue_berry_bush_3",
    "bf_rb/d/s_blue_flowers_1",
    "bf_rb/d/s_blue_flowers_2",
    "bf_rb/d/s_blue_hydrangeas_1",
    "bf_rb/d/s_blue_hydrangeas_2",
    "bf_rb/d/s_blue_hydrangeas_3",
    "bf_rb/d/s_brown_shrooms_1",
    "bf_rb/d/s_brown_shrooms_2",
    "bf_rb/d/s_clover_1",
    "bf_rb/d/s_clover_2",
    "bf_rb/d/s_clover_3",
    "bf_rb/d/s_dried_grass_1",
    "bf_rb/d/s_dried_grass_2",
    "bf_rb/d/s_dried_grass_3",
    "bf_rb/d/s_dried_grass_4",
    "bf_rb/d/s_dumbcane_1",
    "bf_rb/d/s_fiddle_plant_1",
    "bf_rb/d/s_fiddle_plant_2",
    "bf_rb/d/s_helonias_1",
    "bf_rb/d/s_helonias_2",
    "bf_rb/d/s_kniphofia_1",
    "bf_rb/d/s_kniphofia_2",
    "bf_rb/d/s_lupine_1",
    "bf_rb/d/s_lupine_2",
    "bf_rb/d/s_lupine_3",
    "bf_rb/d/s_mangrove_branch",
    "bf_rb/d/s_mangrove_log_1",
    "bf_rb/d/s_mangrove_log_2",
    "bf_rb/d/s_mangrove_trunk_0",
    "bf_rb/d/s_mangrove_trunk_1",
    "bf_rb/d/s_mangrove_trunk_2",
    "bf_rb/d/s_maple_bush_1",
    "bf_rb/d/s_maple_bush_2",
    "bf_rb/d/s_maple_bush_3",
    "bf_rb/d/s_maple_bush_4",
    "bf_rb/d/s_maple_foliage_1",
    "bf_rb/d/s_maple_foliage_2",
    "bf_rb/d/s_maple_foliage_3",
    "bf_rb/d/s_maple_foliage_4",
    "bf_rb/d/s_maple_grass_1",
    "bf_rb/d/s_maple_grass_2",
    "bf_rb/d/s_maple_grass_3",
    "bf_rb/d/s_maple_grass_4",
    "bf_rb/d/s_maple_leaves_1",
    "bf_rb/d/s_maple_leaves_2",
    "bf_rb/d/s_maple_log_1",
    "bf_rb/d/s_maple_log_2",
    "bf_rb/d/s_maple_trunk",
    "bf_rb/d/s_money_tree_1",
    "bf_rb/d/s_money_tree_2",
    "bf_rb/d/s_monstera_1",
    "bf_rb/d/s_monstera_2",
    "bf_rb/d/s_mossy_baobab_trunk_0",
    "bf_rb/d/s_mossy_baobab_trunk_1",
    "bf_rb/d/s_mossy_baobab_trunk_2",
    "bf_rb/d/s_mossy_birch_trunk",
    "bf_rb/d/s_mossy_mangrove_trunk_0",
    "bf_rb/d/s_mossy_mangrove_trunk_1",
    "bf_rb/d/s_mossy_mangrove_trunk_2",
    "bf_rb/d/s_mossy_maple_trunk",
    "bf_rb/d/s_mossy_oak_trunk",
    "bf_rb/d/s_oak_branch",
    "bf_rb/d/s_oak_log_1",
    "bf_rb/d/s_oak_log_2",
    "bf_rb/d/s_oak_trunk",
    "bf_rb/d/s_orange_hydrangeas_1",
    "bf_rb/d/s_orange_hydrangeas_2",
    "bf_rb/d/s_orange_hydrangeas_3",
    "bf_rb/d/s_pink_hydrangeas_1",
    "bf_rb/d/s_pink_hydrangeas_2",
    "bf_rb/d/s_pink_hydrangeas_3",
    "bf_rb/d/s_prickly_fern_1",
    "bf_rb/d/s_prickly_fern_2",
    "bf_rb/d/s_prickly_fern_3",
    "bf_rb/d/s_purple_hydrangeas_",
    "bf_rb/d/s_purple_hydrangeas_2",
    "bf_rb/d/s_purple_hydrangeas_3",
    "bf_rb/d/s_red_flowers_1",
    "bf_rb/d/s_red_flowers_2",
    "bf_rb/d/s_red_shrooms_1",
    "bf_rb/d/s_red_shrooms_2",
    "bf_rb/d/s_sickle_plant_1",
    "bf_rb/d/s_sickle_plant_2",
    "bf_rb/d/s_starfish",
    "bf_rb/d/s_tubmleweed_1",
    "bf_rb/d/s_tumbleweed_2",
    "bf_rb/d/s_white_flowers_1",
    "bf_rb/d/s_white_flowers_2",
    "bf_rb/d/s_white_rose_1",
    "bf_rb/d/s_white_rose_2",
    "bf_rb/d/s_asparagus_fern_1",
    "bf_rb/d/s_asparagus_fern_2",
    "bf_rb/d/s_baobab_bush_1",
    "bf_rb/d/s_baobab_bush_2",
    "bf_rb/d/s_baobab_bush_3",
];
export function testStructures(dimension, location) {
    console.warn('running function');
    const structures = [];
    for (const id of strctureIds) {
        const structure = world.structureManager.get(id);
        if (!structure) {
            console.warn(`Structure not found: ${id}`);
        }
        else {
            structures.push(structure);
            console.warn(`Structure added: ${id}`);
        }
    }
    for (const structure of structures) {
        try {
            world.structureManager.place(structure, dimension, location);
            console.warn(`Structure placed: ${structure.id}`);
        }
        catch (error) {
            console.error(`Error placing structure: ${structure.id}`, error);
        }
    }
}
