import { AutoPromptForm } from "../util/ui_form";
import { PropertyIds } from "../global";
export class GuideBookComponent {
    constructor() {
        this.onUse = this.onUse.bind(this);
    }
    onUse(event) {
        if (!event.itemStack || !event.source)
            return;
        const i = ((language) => {
            event.source.runCommand('/clear @s bf_rb:guide_book');
            event.source.runCommand(`/give @s bf_rb:guide_book_${language}_spawn_egg`.replace('_english', ''));
        });
        let language = event.source.getDynamicProperty(PropertyIds.Language);
        if (!language)
            new AutoPromptForm(event.source).languageForm().then(() => {
                language = event.source.getDynamicProperty(PropertyIds.Language);
                if (language)
                    i(language);
                return;
            });
        if (language)
            i(language);
    }
}
GuideBookComponent.id = 'bf_rb:guide_book';
